### Hi! My name is Peter :wave:

I'm a professional Java developer with 7+ years of experience.

**Interests**: Algorithms, Containerization, Process Automations

**After hours**: LEGO, Railway modeling, Polish fantasy literature

### Tech Stack :wrench:

I mostly work **Java**, **Spring Boot** and **Jenkins** declarative pipelines.
In previous years my job was oriented on **Java EE**.

![Java](https://img.shields.io/badge/java-ED8B00?logo=openjdk&logoColor=white)
![Python](https://img.shields.io/badge/python-3670A0?logo=python&logoColor=ffdd54)
![Kotlin](https://img.shields.io/badge/kotlin-%237F52FF.svg?logo=kotlin&logoColor=white)
![Spring](https://img.shields.io/badge/spring-%236DB33F.svg?logo=spring&logoColor=white)
![Oracle](https://img.shields.io/badge/Oracle-F80000?logo=oracle&logoColor=white)
![PostgreSQL](https://img.shields.io/badge/PostgreSQL-316192?logo=postgresql&logoColor=white)
![Jenkins](https://img.shields.io/badge/jenkins-%232C5263.svg?logo=jenkins&logoColor=white)
![Docker](https://img.shields.io/badge/-Docker-2496ED?logo=docker&logoColor=white)
![Nginx](https://img.shields.io/badge/nginx-%23009639.svg?&logo=nginx&logoColor=white)
![LaTeX](https://img.shields.io/badge/LaTeX-%23008080.svg?logo=latex&logoColor=white)
![Markdown](https://img.shields.io/badge/markdown-%23000000.svg?logo=markdown&logoColor=white)

### Projects :hammer_and_pick:

Homelab

Project under constant development

```mermaid
flowchart LR
    subgraph collocation
        subgraph c_ci[CI]
            c_forgejo[forgejo]
            c_reposilite[reposilite]
        end
        subgraph java["java microservices"]
            CEL
        end
        c_nginx[NGINX]
    end

    subgraph main
        subgraph CI
            forgejo
            woodpecker
            allure
            reposilite
        end
        subgraph Nextcloud 
           Nextcloud
           Collabora
        end
        ha["Home Assistant"]
        syncthing
        NGINX
    end
    forgejo --> woodpecker --> reposilite
    woodpecker --> allure -.->|reports| c_forgejo
    forgejo -.->|mirror| c_forgejo
    woodpecker ---> c_reposilite
    yah["You are here"] -.-> c_forgejo
    
```

Tech stack: Docker Compose

#### Some personal coding projects
- Garmin HUD+ companion application
  - Complex map & navigation solution to be used with Garmin HUD+
  - Tech stack: Kotlin, Mapbox SDK
  - Repository: https://git.ztsh.eu/stawros/Garmin
- Time management library
  - Provides time structures to time management apps
  - Tech stack: Plain Java + Junit, AssertJ
  - Repository: https://git.ztsh.eu/stawros/time
- HackerRank
  - Recreated HackerRank's validation system based on stdin/out
  - Contains some solutions
  - Tech stack: Plain Java + Junit, AssertJ
  - Repository: https://git.ztsh.eu/stawros/hackerrank
- Competencies for Effective Learning
  - Questionnaire project commissioned by the lecturer of the University of Silesia 
  - As of time of writing (Mar'24) 1000+ people completed test
  - based in 2017, started with Java EE, Primefaces 6, Heroku
  - Beta of 2nd version released in mid-2023 on Spring Boot 2.7, Primefaces 12, Docker
  - Repository: to be published
  - Online: https://apps.ztsh.eu/cel/
- Redmine Assistant
  - Universal, multi-person time tracker addition to Redmine system
  - Tech stack: Spring Boot, Primefaces
  - Repository: to be published
- Jira Assistant
  - Time tracker, dashboards, task mirroring between instances
  - Works with both cloud and server editions (even at once!)
  - Tech stack: Spring Boot, Vaadin, Hazelcast (cache)
  - Repository: to be published

### Socials :raising_hand_man:
[![LinkedIn](https://img.shields.io/static/v1.svg?label=LinkedIn&message=piotr-dec&logo=linkedin&style=flat&color=blue)](https://www.linkedin.com/in/piotr-dec/)

### Resume
Online and most up-to-date version available at

[![Markdown](https://img.shields.io/badge/RxResume-%23000000.svg?style=for-the-badge&logo=reactiveresume&logoColor=white)](https://rxresu.me/trishun/basic-applicable-mandrill)